#include <iostream>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, k, x;
    cin >> n >> k;
    int a[2*n+1];
    for(int i = 0; i < 2*n+1; i++) a[i] = 0;
    for(int i = 0; i < n; i++)
    {
        cin >> x;
        a[x+n]++;
    }
    for(int i = 0; i < 2*n+1; i++)
    if(a[i] >= k) cout << i-n << " ";
}